Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 119161 (antarus) - Packages reassignment: Alec Warner (antarus) (Foundation member - doesn't need repo access)
Summary: Packages reassignment: Alec Warner (antarus) (Foundation member - doesn't nee...
Status: RESOLVED WONTFIX
Alias: antarus
Product: Gentoo Developers/Staff
Classification: Unclassified
Component: Retirement (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Retirement Admin
URL:
Whiteboard: first-mail-sent: 2016-05-21
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-15 22:08 UTC by Mark Loeser (RETIRED)
Modified: 2018-06-25 21:00 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Loeser (RETIRED) gentoo-dev 2006-01-15 22:08:22 UTC
Name: Alec Warner
Nick: antarus
Current email: warnera6@egr.msu.edu, 
Location: Lansing, Michigan

Roles: Portage, QA, and x86

Alec has been helping with Portage stuff for awhile now, and has recently expressed interest in helping with QA and x86 work.  I'll be mentoring him.
Comment 1 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2006-01-15 22:54:42 UTC
GPG key and SSH pub key send via mail to recruiters.
Comment 2 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2006-01-18 19:41:03 UTC
Ebuild quiz also sent via mail ;)
Comment 3 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2006-01-19 22:09:58 UTC
End of mentoring quiz also sent via mail...er E-mail ;)
Comment 4 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2006-01-27 14:52:56 UTC
*bump*
Comment 5 Brian Harring gentoo-dev 2006-01-29 04:40:18 UTC
need to do the irc mask upgrade, and forums upgrade; aside from that, quizs are now fine.
Comment 6 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2006-01-29 09:34:44 UTC
(In reply to comment #5)
> need to do the irc mask upgrade, and forums upgrade; aside from that, quizs are
> now fine.
> 

IRC mask is done, forums account is antarus.
Comment 7 Brian Harring gentoo-dev 2006-02-06 04:02:23 UTC
finished.
Comment 8 Christel Dahlskjaer (RETIRED) gentoo-dev 2006-04-02 08:50:04 UTC
Hi, 
Would like antarus officially recognized as part of the user-relations project and added to the user-relations alias please.

Thank you.
Comment 9 Bryan Østergaard (RETIRED) gentoo-dev 2006-07-30 14:05:18 UTC
Added long time ago. Closing.
Comment 10 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2006-08-23 16:02:36 UTC
I resigned from portage a while ago (rather quietly) but it appears as the summer is over (irony having more free time when school is in session) I wish to rejoin.  With the blessing of the portage team I would like my commit bit to portage-svn restored.

Thanks.
Comment 11 Marius Mauch (RETIRED) gentoo-dev 2006-08-23 16:46:59 UTC
I'd rather see some patches (not just POC code) before giving commit access.
Comment 12 Jason Stubbs (RETIRED) gentoo-dev 2006-08-23 18:50:57 UTC
Not sure what "POC code" is but I'm of similar sentiment. Not sure what my voice is worth (or if I still have a commit bit ;) either but I think that contributing via patches attached to bugs is no lesser an honour. If those patches are regular and review doesn't pick up issues that you weren't aware of when posting, going through the process becomes inefficient for the actual committer. That is, IMHO, when a commit bit is needed.
Comment 13 Marius Mauch (RETIRED) gentoo-dev 2006-08-24 02:35:37 UTC
POC == Proof of Concept
Comment 14 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2006-08-24 04:11:30 UTC
svk for the win, thanks nichoj
Comment 15 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2007-04-07 01:18:05 UTC
Please retire me.
Comment 16 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2007-04-17 22:35:14 UTC
ok I lied, I rescind my retirement.
Comment 17 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2007-06-09 02:56:34 UTC
I've basically taken a month off and don't really see myself coming back.
It was a fun time and I met all kinds of cool people within Gentoo.  I also learned a great deal; being a developer has been a humbling experience.  I hope those of you still dedicated to the cause accomplish everything you set out to do.

Thanks,

-Alec
Comment 18 Seemant Kulleen (RETIRED) gentoo-dev 2007-06-09 20:39:49 UTC
I don't think so.
Comment 19 Christina Gianelloni (RETIRED) gentoo-dev 2007-07-24 21:29:24 UTC
Emailed antarus for clarification if he still wishes to retire.
Comment 20 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2007-07-25 03:43:22 UTC
I think I'll probably leave when vapier leaves, Gentoo will have no free buttsecks then.
Comment 21 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2009-02-14 21:33:02 UTC
Its that time of year again ;)
Comment 22 Łukasz Damentko (RETIRED) gentoo-dev 2009-02-15 03:44:05 UTC
Infra, please process Alec's retirement.
Comment 23 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2009-02-15 21:25:15 UTC
Hmmm Rane claims he needs me until the elections are over; so I've changed the retire date to 3/28 (worst case end of elections for this year).

-A
Comment 24 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2009-03-31 22:49:56 UTC
The election is over and my job is complete.  Please retire.
Comment 25 Łukasz Damentko (RETIRED) gentoo-dev 2009-04-01 06:58:09 UTC
Infra please process Alec's retirement.
Comment 26 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2009-08-25 01:26:08 UTC
nearly 5 months past the date; lets just close this as WONTFIX...

If I want to stay staff do I need to take the staff quiz?
Comment 27 Denis Dupeyron gentoo-dev 2009-08-25 02:37:42 UTC
(In reply to comment #26)
> If I want to stay staff do I need to take the staff quiz?

Nope. Just the usual check. Write it to my name, I'll take care of it.

Denis.
Comment 28 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2010-03-03 00:02:47 UTC
Adjusting product.
Comment 29 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2010-03-03 00:06:25 UTC
Closing as Alec is now part of the furniture.
Comment 30 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2010-04-25 17:25:37 UTC
@infra,

can you please update Alec's access as he stayed as a staffer.

Alec,

any change of mind about losing gentoo-x86 access?
Comment 31 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2010-04-26 06:20:51 UTC
(In reply to comment #30)
> @infra,
> 
> can you please update Alec's access as he stayed as a staffer.
> 
> Alec,
> 
> any change of mind about losing gentoo-x86 access?
> 

I am still maintaining some Google packages.

-A
Comment 32 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2010-04-26 10:34:04 UTC
Where are you maintaining them? cia.vc doesn't show any commits to gentoo-x86 in the last year.
Comment 33 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2010-04-26 11:50:50 UTC
Yeah I'm learning how the large and complicated world of python works.  I currently maintain dev-cpp/gflags, and I need to add dev-python/python-gflags and dev-python/pymox to the tree.

My current plan involves arfrever reviewing python stuff before I commit it because the new python eclasses are...I'll chose the word non-standard.  I also may join the python herd after I do more bugwork for them and wrap my head around the eclasses.

-A
Comment 34 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2010-04-26 12:41:20 UTC
Right, in that case @infra please ignore my request.
All done here.
Comment 35 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2010-07-08 19:27:45 UTC
(In reply to comment #34)
> Right, in that case @infra please ignore my request.
> All done here.
> 

Please nuke my gentoo-x86 access; I'm not finding time to actually do anything with it.
Comment 36 Petteri Räty (RETIRED) gentoo-dev 2010-07-08 19:31:56 UTC
(In reply to comment #35)
> 
> Please nuke my gentoo-x86 access; I'm not finding time to actually do anything
> with it.
> 

betelgeuse@corvid ~ $ gpasswd -d antarus cvs
Removing user antarus from group cvs

Done. Please note you will be subjected to quizzes if you want to activate it after a substantial amount of time without access. What staff activity will you be doing?
Comment 37 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2010-07-08 19:35:55 UTC
I do elections, summer of code, and userrel.

-A
Comment 38 Torsten Veller (RETIRED) gentoo-dev 2010-07-09 08:43:56 UTC
metadata updated and bugs reassigned
Comment 39 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2011-09-12 07:59:43 UTC
(In reply to comment #38)
> metadata updated and bugs reassigned

I sent my quizzes to recruiters. I am going to be modifying / bumping some packages related to my work on Gentoo's Infrastructure team.

-A
Comment 40 Markos Chandras (RETIRED) gentoo-dev 2011-09-16 11:07:27 UTC
I will be your recruiter. Please send your quizzes to recruiters@gentoo.org when approved by your mentor. Always add a comment to this bug when you send something to that address. When the quizzes are sent please contact me by IRC or email to schedule the first review session. Please note that I will be away until the 23rd of September so it would be nice to have your quizzes by then so we can start the review sessions when you are back. If you think that recruiters aren't paying attention to this bug at any later point in time, it's your job to ping us on IRC if you don't want any delays.
Comment 41 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2011-09-18 23:54:51 UTC
(In reply to comment #40)
> I will be your recruiter. Please send your quizzes to recruiters@gentoo.org
> when approved by your mentor. Always add a comment to this bug when you send
> something to that address. When the quizzes are sent please contact me by IRC
> or email to schedule the first review session. Please note that I will be away
> until the 23rd of September so it would be nice to have your quizzes by then so
> we can start the review sessions when you are back. If you think that
> recruiters aren't paying attention to this bug at any later point in time, it's
> your job to ping us on IRC if you don't want any delays.

Quizzes sent in.

-A
Comment 42 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2011-09-27 05:48:31 UTC
Mailed fixed ebuild quiz and ebuild as requested.
Comment 43 Markos Chandras (RETIRED) gentoo-dev 2011-10-06 20:05:02 UTC
Done. use repoman || die ;)
Comment 44 Pacho Ramos gentoo-dev 2016-05-21 17:01:53 UTC
Inactive for a long time
Comment 45 Pacho Ramos gentoo-dev 2016-05-23 19:51:09 UTC
He is still here but not committing
Comment 46 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-06-25 21:00:46 UTC
I've removed the commit access bit for antarus today.  He was surprised that he still has it, and he agreed to removing it.